Bug 120006 - ifcfg-$DEV-range* not inheriting netmask from parent config
ifcfg-$DEV-range* not inheriting netmask from parent config
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: initscripts (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2004-04-04 22:47 EDT by Karl Latiss
Modified: 2014-03-16 22:43 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-03-10 20:33:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Karl Latiss 2004-04-04 22:47:47 EDT
Description of problem:
ifcfg-eth0-range0 does not inherit network mask from parent config

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.configure ifcfg-eth0 with desired netmask (in my case
2.configure ifcfg-eth0-range0 with no netmask entry
3.restart network
Actual results:
Netmask from parent config ignored (resulting netmask

Expected results:
Netmask from parent config inherited (in my case

Additional info:
This seemed to work OK on the 7.x series. The documentation within
ifup-aliases also specifically states that "Range files also inherit
configuration from the ifcfg-$DEV file just like normal."
Comment 1 John Caruso 2004-09-28 17:12:48 EDT
This is a result of the problem described in bug 65415.  You can work 
around it by making sure that the range filenames match the egrep -v 
that's shown in that bug (and thus are excluded from the list of 
interfaces); for example, you can name them "-range:0" rather than 
just "-range0", since a colon is one of the exception strings listed 
in the egrep -v.

Bill Nottingham closed bug 65415, and in response to a query I sent 
him regarding RHEL3, he replied: "It's fixed on the RHEL branch as 
well, should be in the next scheduled update (update 4)."  Bill, feel 
free to add any more info...for example, it would be useful to know 
approximately when RHEL3 update 4 is expected to be released.
Comment 2 Some One 2005-03-10 20:22:16 EST
U4 came out some time ago :-)
Comment 3 Bill Nottingham 2005-03-10 20:33:00 EST
Yes, this should be fixed in 7.31.18.EL-1.

Note You need to log in before you can comment on or make changes to this bug.